Bug 258483 - security/doas: Update to 6.3p6
Summary: security/doas: Update to 6.3p6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nuno Teixeira
URL: https://github.com/slicer69/doas/rele...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-13 19:18 UTC by Jesse Smith
Modified: 2021-09-15 09:35 UTC (History)
2 users (show)

See Also:
jsmith: maintainer-feedback+


Attachments
Patch to upgrade port to latest upstream (2.34 KB, text/plain)
2021-09-13 19:18 UTC, Jesse Smith
no flags Details
Patch to upgrade port to latest upstream (2.37 KB, patch)
2021-09-14 13:11 UTC, Jesse Smith
jsmith: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Smith 2021-09-13 19:18:35 UTC
Created attachment 227879 [details]
Patch to upgrade port to latest upstream

The attached patch brings the FreeBSD port for security/doas up to date with upstream. This includes the introduction of a new utility called doasedit which edits a text file as a regular user and copies it into place using doas/admin access.
Comment 1 Nuno Teixeira freebsd_committer 2021-09-14 08:33:54 UTC
Hello!

I've tested 'doasedit' new utility and it works fine.

Makefile PLIST_FILES need to be in alphabetical order:
---
@@ -23,8 +23,8 @@
                bin/doasedit \
                bin/vidoas \
                etc/doas.conf.sample \
+               man/man1/doas.1.gz \
                man/man5/doas.conf.5.gz \
-               man/man1/doas.1.gz \
                man/man8/doasedit.8.gz \
                man/man8/vidoas.8.gz
---
Comment 2 Jesse Smith 2021-09-14 13:11:56 UTC
Created attachment 227895 [details]
Patch to upgrade port to latest upstream

Update to patch, this time with plist in proper order.
Comment 3 commit-hook freebsd_committer 2021-09-15 08:03:35 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=cef711955c6e7e4bb8c943b38a8a8bfecb420141

commit cef711955c6e7e4bb8c943b38a8a8bfecb420141
Author:     Jesse Smith <jsmith@resonatingmedia.com>
AuthorDate: 2021-09-15 07:56:00 +0000
Commit:     Nuno Teixeira <eduardo@FreeBSD.org>
CommitDate: 2021-09-15 08:02:21 +0000

    security/doas: Update to 6.3p6

    ChangeLog: https://github.com/slicer69/doas/releases/tag/6.3p6

    PR:             258483

 security/doas/Makefile                   |  8 ++++++--
 security/doas/distinfo                   |  6 +++---
 security/doas/files/patch-doasedit (new) | 11 +++++++++++
 3 files changed, 20 insertions(+), 5 deletions(-)
Comment 4 Nuno Teixeira freebsd_committer 2021-09-15 08:05:27 UTC
Committed thanks!
Comment 5 commit-hook freebsd_committer 2021-09-15 09:32:50 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=8a4af427075f66baf4fedbbaba03ffc7f3f1f536

commit 8a4af427075f66baf4fedbbaba03ffc7f3f1f536
Author:     Steve Wills <swills@FreeBSD.org>
AuthorDate: 2021-09-15 09:30:06 +0000
Commit:     Michael Zhilin <mizhka@FreeBSD.org>
CommitDate: 2021-09-15 09:32:10 +0000

    cad/PrusaSlicer: Update to 2.3.3

    - Update to 2.3.3
    - Change the dependency from devel/tbb to devel/onetbb

    ChangeLog: https://github.com/prusa3d/PrusaSlicer/releases/tag/version_2.3.3

    PR:             258483
    Submitted by:   Steve Wills <swills@FreeBSD.org>
    Reported by:    teodorsigaev@gmail.com (tested), eborisch+FreeBSD@gmail.com (tested)

 cad/PrusaSlicer/Makefile                           |   4 +-
 cad/PrusaSlicer/distinfo                           |   6 +-
 cad/PrusaSlicer/files/patch-CMakeLists.txt         |   6 +-
 .../files/patch-cmake_modules_FindTBB.cmake (new)  | 738 +++++++++++++++++++++
 .../files/patch-src_avrdude_main.c (new)           |  11 +
 .../files/patch-src_libslic3r_CMakeLists.txt       |   4 +-
 .../files/patch-src_libslic3r_Platform.cpp (new)   |  13 +
 .../files/patch-src_libslic3r_Platform.hpp (new)   |  10 +
 .../files/patch-src_libslic3r_Print.cpp (new)      |  29 +
 .../files/patch-src_libslic3r_PrintBase.cpp (new)  |  11 +
 .../files/patch-src_libslic3r_PrintBase.hpp (new)  | 118 ++++
 .../patch-src_libslic3r_PrintObject.cpp (new)      |  10 +
 .../files/patch-src_libslic3r_SLAPrint.cpp (new)   |  47 ++
 .../patch-src_libslic3r_SLA_Concurrency.hpp (new)  |  20 +
 .../patch-src_libslic3r_SLA_SupportTree.cpp (new)  |  12 +
 .../patch-src_libslic3r_SupportMaterial.cpp (new)  |  10 +
 .../files/patch-src_libslic3r_Thread.cpp           |  71 +-
 .../files/patch-src_libslic3r_pchheader.hpp (new)  |  15 +
 .../files/patch-src_libslic3r_utils.cpp (new)      |  22 +
 ...c_slic3r_GUI_BackgroundSlicingProcess.cpp (new) |  29 +
 ...c_slic3r_GUI_BackgroundSlicingProcess.hpp (new) |  11 +
 .../patch-src_slic3r_GUI_InstanceCheck.hpp (new)   |  11 +
 ...atch-src_slic3r_GUI_Mouse3DController.cpp (new) | 154 +++++
 ...atch-src_slic3r_GUI_Mouse3DController.hpp (new) |  49 ++
 .../files/patch-src_slic3r_GUI_OpenGLManager.cpp   |   4 +-
 ...-src_slic3r_GUI_RemovableDriveManager.cpp (new) | 104 +++
 ...-src_slic3r_GUI_RemovableDriveManager.hpp (new) |  23 +
 27 files changed, 1493 insertions(+), 49 deletions(-)
Comment 6 Michael Zhilin freebsd_committer 2021-09-15 09:35:55 UTC
Sorry for commit with incorrect PR.